package net.siegeln.cameleer.saas.certificate;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;
import java.util.UUID;

public interface CertificateRepository extends JpaRepository<CertificateEntity, UUID> {

    Optional<CertificateEntity> findByStatus(CertificateEntity.Status status);

    void deleteByStatus(CertificateEntity.Status status);
}
